%define version 0.4.0b
%define release 2mdk
%define name mpeg2dec
%define major 0
%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
%if %mdkversion >= 910
%define libname %mklibname %name %major
%else
%define libname lib%name%major
%endif

Summary:	MPEG-2 Decoder
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Video
Source0:	http://libmpeg2.sourceforge.net/files/%{name}-%version.tar.bz2
URL:		http://libmpeg2.sourceforge.net
Patch0:		mpeg2dec-0.4.0-pic.patch.bz2
BuildRequires:	autoconf2.5 >= 2.54
BuildRequires:	SDL-devel
BuildRequires:	libarts-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

%package -n %libname
Group: System/Libraries
Summary: MPEG-2 Decoder

%description -n %libname
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

This package contains the shared libraries of mpeg2dec.

%package -n %libname-devel
Summary:	MPEG-2 Decoder development files
Group:		Development/C
Requires:	%{libname} = %{version}-%release
Provides:	lib%name-devel = %version-%release


%description -n %libname-devel
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

MPEG-2 Decoder development files

%package -n %libname-static-devel
Summary:	MPEG-2 Decoder static libraries
Group:		Development/C
Requires:	%{libname}-devel = %{version}-%release

%description -n %libname-static-devel
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

MPEG-2 Decoder static libraries.

%prep
%setup -q -n %{name}-0.4.0
%patch0 -p1 -b .pic
autoconf

%build
%define __libtoolize true
%configure2_5x --enable-shared
%{make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_mandir}/man1/*
%{_bindir}/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_includedir}/mpeg2dec
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/lib*.pc
%files -n %libname-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog
* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0b-2mdk
- amd64 fixes, i.e. enforce check for -prefer-non-pic flags

* Sun May 02 2004 Stefan van der Eijk <stefan@mandrake,org> 0.4.0b-1mdk
- 0.4.0b

* Thu Feb 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- support mandrake 9.0

* Sun Jan  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- don't libtoolize
- new version

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.3.1-5mdk
- rebuild for new pkgconfig Requires
- removed redundant BuildRequires

* Thu Apr 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-3mdk
- mklibname macro

* Thu Dec 26 2002 Stefan van der Eijk <stefan@eijk.nu> 0.3.1-2mdk
- BuildRequires

* Sun Dec 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- new version

* Sun Dec  1 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- from Charles A Edwards <eslrahc@bellsouth.net> :
  - 0.3.0
  - correct perms on src tar.gz and convert to bz2  
  - don't use autoconf
  - add mans
  - add files pkgconfig/lib*.pc

* Thu Jul 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- autoconf 2.5 macro
- update to real 0.2.1
- fix URL

* Tue Jul  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-0.cvs.1mdk
- use CVS snapshot from http://www.it.linuxvideo.org/mpeg2dec/download.html 
- initial spec file based on PLD package

